import React, { useState, useCallback } from 'react';
import ReactDOM from 'react-dom';
import { csv } form 'd3';

const csvUrl = "https://gist.githubusercontent.com/beq95/4d29ce556f1e5adea6c9c63be327cd0c/raw/cssNamedCoors.csv"
const width = 960;
const height = 500;

const message = data => {
  let message = '';
  message = message + Math.round(d3.csvFormat(data).length /1024) + ' kb\n';
  message = message + data.length + ' rows\n';
  message = message + data.columns.length + ' columns'; 
  return message;
};

const App = () => {
  const [data, setData] = useState(null);
 
  csv(csvUrl).then(data => {
    setData(data);
  });
  
  return <div> Data is {data ? message(data) : 'loading' } </div>;
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App/>, rootElement);

